graphviz (2.36.0-0ubuntu3.2) trusty; urgency=medium

  * Add missing dependency from libgraphviz-dev to libgvc6-plugins-gtk
    (LP: #1398028)
  * Install missing GDK plugin in libgvc6-plugin-gtk

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Dec 2016 22:28:32 -0500

graphviz (2.36.0-0ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Format string vulnerability may allow attackers to
    cause a denial of service or possibly execute code.
    - debian/patches/CVE-2014-9157.patch: Fix format string vulnerability in
      lib/cgraph/scan.l yyerror() routine.
    - CVE-2014-9157

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 04 Dec 2014 16:12:24 -0800

graphviz (2.36.0-0ubuntu3) trusty; urgency=medium

  * No change rebuild for phpapi-20121212+lfs (LFS ABI break on 32-bit archs).

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2014 13:58:45 +0100

graphviz (2.36.0-0ubuntu2) trusty; urgency=medium

  * debian/*.post{inst,rm}: Update for libgvc5-config-update →
    libgvc6-config-update to correctly configure plugins. (LP: #1270025)
  * Add a simple autopkgtest that ensures that "dot" works.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Jan 2014 07:55:19 +0100

graphviz (2.36.0-0ubuntu1) trusty; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jan 2014 08:33:48 +0100

graphviz (2.34.0-0ubuntu6) trusty; urgency=low

  * SECURITY UPDATE: buffer overflow in yyerror()
    - debian/patches/CVE-2014-0978.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-0978
  * SECURITY UPDATE: buffer overflow in yyerror() security fix
    - debian/patches/CVE-2014-1235.patch: once again, don't overflow buf
      in lib/cgraph/scan.l.
    - CVE-2014-1235
  * SECURITY UPDATE: buffer overflow in chkNum of scanner
    - debian/patches/CVE-2014-1236.patch: don't overflow buf in
      lib/cgraph/scan.l.
    - CVE-2014-1236

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jan 2014 13:01:36 -0500

graphviz (2.34.0-0ubuntu5) trusty; urgency=medium

  * Fix dh-autoreconf invocation to not override the arguments to autoreconf;
    without -i, libtoolize is never called.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 15 Dec 2013 22:47:35 -0800

graphviz (2.34.0-0ubuntu4) trusty; urgency=low

  * Revert the last change and remove references to libgraph.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 15:38:48 +0200

graphviz (2.34.0-0ubuntu3) trusty; urgency=low

  * Build libgraph again.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2013 13:57:49 +0200

graphviz (2.34.0-0ubuntu2) trusty; urgency=low

  * New upstream version.
  * Build using lua5.2. LP: #1196921.
  * Build using ruby1.9.1.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Sep 2013 12:35:03 +0200

graphviz (2.26.3-15ubuntu3) saucy; urgency=low

  * Recommend fonts-liberation rather than ttf-liberation.

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 13 Sep 2013 08:05:04 +1000

graphviz (2.26.3-15ubuntu2) saucy; urgency=low

  * Rebuild for PHP 5.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jul 2013 01:57:50 +0100

graphviz (2.26.3-15ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
    - Configure for the Tcl/Tk 8.5 multiarch installation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jun 2013 13:20:08 +0100

graphviz (2.26.3-15) unstable; urgency=low

  * Disable python2.6 (Closes: #707502)

 -- Christoph Egger <christoph@debian.org>  Tue, 25 Jun 2013 12:35:36 +0200

graphviz (2.26.3-14ubuntu2) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 21 May 2013 11:22:04 +0100

graphviz (2.26.3-14ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Stop trying to install /usr/lib/graphviz/python26.
    - Drop unused build-dependency on pdksh.
    - Mark graphviz Multi-Arch: foreign.
    - Handle multiarch Python.
    - Build using guile-2.0.
    - Configure with --disable-silent-rules.
  * Configure for the Tcl/Tk 8.5 multiarch installation. LP: #1163136.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2013 10:02:23 +0200

graphviz (2.26.3-14) unstable; urgency=low

  * Use system ltdl in place of version in subdir (Closes: #701832)
    - Currently an ancient version of libltdl is being
      shipped and used, unnoticed until now.
      Changed configure.ac to ensure system ltdl is used instead
    - Security issue - affected by DSA-1958-1 (CVE-2009-3736)

 -- David Claughton <dave@eclecticdave.com>  Fri, 08 Mar 2013 22:37:51 +0000

graphviz (2.26.3-13) unstable; urgency=low

  [ David Claughton ]
  * Add 'fontfaq.txt' file to graphviz-doc package 

  [ Christoph Egger ]
  * Import patch by Steven Chamberlain to fix hangs on kfeebsd (Closes: #701832)

 -- David Claughton <dave@eclecticdave.com>  Sun, 23 Sep 2012 22:10:00 +0100

graphviz (2.26.3-12ubuntu5) raring; urgency=low

  * Build using guile-2.0.
  * Configure with --disable-silent-rules.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Feb 2013 09:21:16 +0100

graphviz (2.26.3-12ubuntu4) raring; urgency=low

  * Handle multiarch Python.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Jan 2013 19:38:55 +0000

graphviz (2.26.3-12ubuntu3) raring; urgency=low

  * Mark graphviz Multi-Arch: foreign.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Dec 2012 02:45:38 +0000

graphviz (2.26.3-12ubuntu2) raring; urgency=low

  * Drop unused build-dependency on pdksh.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Nov 2012 13:40:25 +0000

graphviz (2.26.3-12ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.
    - Stop trying to install /usr/lib/graphviz/python26.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Aug 2012 19:03:00 +0100

graphviz (2.26.3-12) unstable; urgency=low

  * Fixes to explicitly use ruby 1.8 as default for ruby is now 1.9
    (Graphviz doesn't currently support ruby 1.9) 
    (Closes: #676098)

 -- David Claughton <dave@eclecticdave.com>  Tue, 10 Jul 2012 21:41:24 +0100

graphviz (2.26.3-11ubuntu2) quantal; urgency=low

  * Stop trying to install /usr/lib/graphviz/python26.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 12:42:18 +0100

graphviz (2.26.3-11ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 May 2012 10:02:11 +0100

graphviz (2.26.3-11) unstable; urgency=low

  * Remove reference to python 2.5 which is no longer available in sid
    (Closes: #669517) 

 -- David Claughton <dave@eclecticdave.com>  Wed, 02 May 2012 21:53:08 +0100

graphviz (2.26.3-10ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.
    - Build using dh_python2.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Apr 2012 16:08:26 +0100

graphviz (2.26.3-10) unstable; urgency=low

  * Fixes for compatibility with Automake 1.11.2 (Closes: #661909)
  * Changed BD from libpng12-dev to libpng-dev (Closes: #662360)

 -- David Claughton <dave@eclecticdave.com>  Tue, 13 Mar 2012 20:35:21 +0000

graphviz (2.26.3-9) unstable; urgency=low

  * Include patch by Samuel Thibault to handle autotools failure on hurd
    (Closes: #648520)

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Jan 2012 15:35:06 +0100

graphviz (2.26.3-8ubuntu2) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 12:10:58 +0000

graphviz (2.26.3-8ubuntu1) precise; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/patches/linkage: Add more explicit library linkage to cope with
      'ld --no-copy-dt-needed-entries'.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Nov 2011 09:53:14 +0000

graphviz (2.26.3-8) unstable; urgency=low

  [ David Claughton ]
  * Switch Build Deps to unversioned tcl/tk-dev (Closes: #639288)
    - Includes symlink /usr/lib/tclConfig.sh pointing to /usr/lib/tcl8.5.
      Needed as configure.ac no longer finds tclConfig.sh on 64-bit builds
      (it looks for /usr/lib64/tclConfig but /usr/lib64 symlink no longer present).

  [ Christoph Egger ]
  * Remove ocaml bindings (Closes: #647435)

 -- Christoph Egger <christoph@debian.org>  Wed, 02 Nov 2011 20:17:06 +0100

graphviz (2.26.3-7) unstable; urgency=low

  * refresh patches
  * Add patch by Petr Salinger to handle chroot case on kFreeBSD
    correctly (Closes: #575797)
  * Fix clean target

 -- Christoph Egger <christoph@debian.org>  Wed, 18 May 2011 23:13:54 +0200

graphviz (2.26.3-6) unstable; urgency=low

  [ David Claughton ]
  * Fix capitalisation of PHP in package description (Closes: #613990)
  * Apply patch by Samuel Thibault to fix problem on Hurd causing
    doxygen FTBFS bugs - Thanks Samuel! (Closes: #578320) 
  * Add Python 2.7 support (Closes: #623165). Thanks to Barry Warsaw
    for the patch and Mehdi Dogguy for additional work and testing.
    - Added dh-autoreconf as a Build-Dependency
    - Added patch python27-support
  * Simply patch 50_remove_changelog_in because we now autoreconf.
  * Minor fixes to dot.1 manpage. Thanks to Mats Erik Andersson
    for the patch. (Closes: #622781)

  [ Mehdi Dogguy ]
  * Rebuild with OCaml 3.12.0 (Closes: #623289).

 -- David Claughton <dave@eclecticdave.com>  Tue, 26 Apr 2011 22:26:05 +0200

graphviz (2.26.3-5ubuntu5) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 20:57:48 +0000

graphviz (2.26.3-5ubuntu4) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:16:24 -0600

graphviz (2.26.3-5ubuntu3) oneiric; urgency=low

  * debian/patches/linkage: Add more explicit library linkage to cope with
    'ld --no-copy-dt-needed-entries'.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 May 2011 07:27:44 +0100

graphviz (2.26.3-5ubuntu2) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 07 May 2011 10:50:28 +0100

graphviz (2.26.3-5ubuntu1) natty; urgency=low

  * Really add support for Python 2.7.  (LP: #683182)

 -- Barry Warsaw <barry@ubuntu.com>  Fri, 03 Dec 2010 18:08:11 -0500

graphviz (2.26.3-5build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:00:57 +0000

graphviz (2.26.3-5) unstable; urgency=low

  [ David Claughton ]
  * Oops, spelling correction to lefty.1 manpage missed 2.26.3-3 and
    got included into 2.26.3-4 instead.  Fixed-up changelog to
    reflect true history.
  * Fix bashism in vimdot (Closes: #581107)
  * Build with GTK Support (Closes: #457433)

  [ Christoph Egger ]
  * Bump dependency on debhelper as needed by dh-ocaml foo

 -- David Claughton <dave@eclecticdave.com>  Fri, 11 Jun 2010 00:58:54 +0100

graphviz (2.26.3-4) unstable; urgency=low

  * Add patch to fix segfault in circo. Backported from upstream snapshot
    release.  Thanks to Francis Russell for his work on this.
    (Closes: #575255)
  * Fixed spelling mistake in lefty.1 manpage.  Thanks to A. Costa
    <agcosta AT gis DOT net> for spotting this. (Closes: #573639)

 -- David Claughton <dave@eclecticdave.com>  Wed, 24 Mar 2010 22:45:18 +0000

graphviz (2.26.3-3) unstable; urgency=low

  * Backport fix on CVS for dot -y output (Closes: #573781) 
  * Restore missing changelog entries which vanished as a result of 
    2.26 development being done on a branch

 -- David Claughton <dave@eclecticdave.com>  Tue, 16 Mar 2010 21:51:38 +0000

graphviz (2.26.3-2) unstable; urgency=low

  * Add manpages for vimdot and diffimg
  * Create dot2glx.1 and glx2dot.1 as symlinks to gv2glx.1 and glx2gv.1
    (executables are already linked equivalently)
  * Fix manpage warnings and spelling mistakes reported by Lintian.
  * Remove absolute path to libgvc5-config-update in postinst
  * Fixup NEWS.Debian
  * Add patch fix_powerpc_ftbfs - make upstream's fix to powerpc-darwin8
    apply only when building on darwin
  * Add missing file lib/common/mksvgfonts.pl which can be found in
    upstream CVS but is not in the release tarball.
  * Added patch 3_fix_pango_font_selection to append comma to font
    family name passed to pango - needed when family name contains
    spaces.
  * Update Standards Version (no changes required)
  * Changed build deps libjpeg62-dev -> libjpeg-dev as recommended
    by release team.
  * Modified short descriptions to libraries to make them unique.
  * Moved libgvc5-config-update manpage to section 8 (Closes: #512447)

 -- David Claughton <dave@eclecticdave.com>  Thu, 09 Feb 2010 22:30:55 +0000

graphviz (2.26.3-1) experimental; urgency=low

  [ David Claughton ]
  * New upstream release (Closes: #554222, #522356, #521539)
  * Switched to package format 3.0 (quilt)
    - avoids need to repack to remove debian directory
  * Split libgraphviz4 package into separate packages for libgraph4,
    libcgraph5, libcdt4, libpathplan4 and libgvc5 due to soname
    changes and removal of libagraph
    N.B. libraries conflict with libgraphviz4 - this release cannot coexist
    with the previous one
  * Patches no longer needed due to inclusion upstream or obsoleted
    by upstream changes
    - 0_versioned_plugin_config_file
    - 0_libtool_linking_reorder_workaround
    - 10_fix_tred_regression
    - 20_fix_parser_stack_overflow
    - 30_fix_swig_tcl_ftbfs
  * Patches with hunks removed because they are included or obsoleted by
    upstream
    - 0_bindings_documentation
    - 0_tcl_manpages_section
    - 40_fix_swig_php_ftbfs
  * Added support for python 2.6; Dropped support for 2.4 (Closes: #522004)
  * Removed manpage renames, now done upstream
  * libagraph.so and agraph.3 manpage no longer exist
  * Added patch 50_remove_changelog_in to prevent upstream attempt to
    recreate changelog from changelog.in
  * Updated build-deps
  * Corrected install location of libgv-tcl libraries (Closes: #521538)
    (Thanks Ilya Anfimov)

  [ Christoph Egger ]
  * Drop quilt from build-deps, no longer needed with source 3.0
  * Linewrap build-deps so diff becomes usable
  * Bump standards Version (no changes)
  * Determine --enable-python$ver automatically
  * Upload to experimental

 -- Christoph Egger <christoph@debian.org>  Sun, 31 Jan 2010 23:19:24 +0100

graphviz (2.20.2-8) unstable; urgency=low

  * Maintenance upload until 2.26 is ready
  * Add phpapi-<version> depend to libgv-php5 (Closes: #566287)
  * Minor fix to debian/rules - use pyversions -r instead of -s in
    PYTHON_VERSIONS def.  Fixes FTBFS due to migration of python2.6 to
    unstable.
  * Fix a couple of issues preventing graphviz from building twice
    in succession
      - modified patch 20_fix_parser_stack_overflow to only patch parser.y
        not intermediate bison files - also causes intermediate files to
        be regenerated
      - added patch 0_fix_htmlparse_bison_2_4 to fix FTBFS when using
        bison 2.4

 -- David Claughton <dave@eclecticdave.com>  Sat, 23 Jan 2010 23:24:40 +0000

graphviz (2.20.2-7) unstable; urgency=low

  * Maintenance upload untill 2.26 is ready
  * New Maintainers (Closes: #536245)
  * Drop python2.4 support (Closes: #562407)
  * Version dependency on swig (Closes: #505040)

 -- Christoph Egger <christoph@debian.org>  Wed, 30 Dec 2009 22:56:41 +0100

graphviz (2.20.2-6) unstable; urgency=low

  * QA upload.

  * Don't install gv.a on non-native OCaml architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 17 Dec 2009 11:47:30 +0100

graphviz (2.20.2-5) unstable; urgency=low

  * QA upload.

  [ Ana Beatriz Guerrero Lopez ]
  * Fix FTBFS by switching from guile-1.6-dev to guile-1.8-dev.
    Thanks Martin Pitt. (Closes: #493974)
  * Switch gs-common build dependend to ghostscript. Thanks Martin Pitt.
    (Closes: #504569)
  * Switch build depend from libltdl3-dev to versioned libltdl-dev (>= 2.2.6b).
    (Closes: #504571)

  [ Mehdi Dogguy ]
  * The location of the OCaml's standard library has changed:
    - Add dh-ocaml (>= 0.4.1) as a build-dependency
    - Use $(OCAML_STDLIB_DIR) instead of hard-coding the path
      /usr/lib/ocaml/$(OCAMLABI)
    - Use $(OCAML_DLL_DIR) instead of hard-coding the path
      /usr/lib/ocaml/$(OCAMLABI)/stublibs
    - Use $(OCAML_ABI) from ocamlvars.mk
    (Closes: #536383)
  * Enable the use of dh_ocaml for automatic dependency computation.
  * Generate documentation for OCaml bindings using dh_ocamldoc.

  [ Aurelien Jarno ]
  * Also remove rpath from libraries using chrpath.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 17 Dec 2009 00:01:26 +0100

graphviz (2.20.2-4) unstable; urgency=high

  * QA upload.
  * Orphan the package:
     - Set Maintainer to Debian QA Group <packages@qa.debian.org>.
     - Please contact Sebastian Harl if you're interested (See: #536245).
  * Fix FTBFS due to broken tcl/swig code generation, thanks to Ludovico
    Cavedon (Closes: #542979):
     - debian/patches/30_fix_swig_tcl_ftbfs
  * Fix FTBFS due to swig's move from -php5 to -php, thanks to Ludovico
    Cavedon again:
     - debian/patches/40_fix_swig_php_ftbfs
  * Fix FTBFS when other tcl versions are installed, using the apparently
    usual way to deal with it, thanks to Ludovico Cavedon one more time:
    Add tcl8.3 and tcl8.4 to Build-Conflicts.
  * Set urgency to “high” due to the various FTBFS reasons.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 22 Oct 2009 00:22:06 +0200

graphviz (2.20.2-3) unstable; urgency=high

  * Backport patch to fix a stack overflow in the graph parser, reported
    by IBM and fixed in 2.20.3. To avoid autotools noise, only the actual
    fix is backported here, instead of pulling a brand new upstream
    release (though functionally minimal). As usual, thanks to upstream
    for their absolute kindness:
     - debian/patches/20_fix_parser_stack_overflow
  * Set “urgency=high” accordingly, after discussion with the security
    team.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 12 Oct 2008 23:24:12 +0200

graphviz (2.20.2-2) unstable; urgency=low

  * Backport patch by Emden R. Gansner to fix a regression in tred, which
    happened during the transition to cgraph (in 2.20.0), spotted by
    Wouter Koolen-Wijkstra (Closes: #493494):
     - debian/patches/10_fix_tred_regression

 -- Cyril Brulebois <kibi@debian.org>  Sat, 16 Aug 2008 07:29:59 +0200

graphviz (2.20.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * debian/rules:
     - Add “--without-gts” to configure arguments to make sure not to link
       against GTS, at least for now.
     - Add “--disable-r” since there's no need to build it for now, as it
       isn't shipped anyway.
  * debian/libgraphviz-dev.install:
     - Add cgraph.3 manpage, forgotten in the previous upload.
  * Fix the PHP bindings (Closes: #489964):
     - Ship gv.php under /usr/share/php/libgv-php5.
     - Ship gv.so under /usr/lib/php5/<version>/libgv-php5, instead of the
       previous libgv_php.so.
     - Ship a README.Debian in the libgv-php5 package explaining how to
       use this extension.
     - Update the 0_bindings_documentation patch to reflect that the
       correct usage is include()ing the .php file, rather than dl()ing
       the .so file.
  * Update fonts dependencies since Times is now available in main, thanks
    to Thijs Kinkhorst for the notice (Closes: #490043):
     - Drop Suggests on msttcorefonts.
     - Add Recommends on ttf-liberation.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 01 Aug 2008 04:04:54 +0200

graphviz (2.20.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0_versioned_plugin_config_file:
     - Refresh context.
  * debian/patches/0_bindings_documentation:
     - Refresh, drop some hunks merged upstream.
  * debian/patches/0_tcl_manpages_section:
     - Refresh.
  * debian/patches/1_disable_lumping_all_include_directories:
     - Drop, was backported from upstream.
  * debian/patches/0_autoreconf_run:
     - Drop, no longer needed.
  * debian/libgraphviz4.lintian-overrides:
     - Drop several-sonames-in-same-package, no longer reported.
     - Update package-name-doesnt-match-sonames.
  * debian/rules:
     - Bump shlibs, new symbols.
     - Call chrpath to strip the rpath on /usr/lib (at least on amd64),
       but not the one on /usr/lib/graphviz (needed for a plugin at
       least), and fail if there's an unknown RPATH, so that the
       appropriate tweak can be added.
  * debian/README.Debian-packaging:
     - Rename into debian/README.source per Policy 3.8.0.
  * debian/control:
     - Add chrpath to Build-Depends.
     - Add lua5.1 to Build-Depends, now needed for lua detection.
     - Bump Standards-Version from 3.7.3 to 3.8.0 (one change, see above).
     - Update my mail address. Thanks for their sponsorship to:
        - Mohammed Adnène Trojette (adn),
        - Alexander Sack,
        - Kari Pahula,
        - Ana Beatriz Guerrero Lopez,
        - Paul Wise,
        - Lucas Nussbaum,
        - Pierre Habouzit,
       with special thanks to Ana and Pierre who got poked more than the
       others, and to Alexander who got me through NM.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 29 Jun 2008 17:24:08 +0200

graphviz (2.18-1) unstable; urgency=low

  * New upstream release:
     - Move from Tcl/Tk 8.4 to 8.5.
     - Now build python2.4 and python2.5 modules.
  * debian/control:
     - Replace tcl8.4-dev and tk8.4-dev with tcl8.5-dev and tk8.5-dev in
       Build-Depends accordingly.
     - Update the version in the long description of libgv-tcl.
     - Add python2.5-dev to Build-Depends.
     - Mention both versions in the long description of libgv-python.
     - Drop libttf-dev from Build-Depends since that's a deprecated
       package, replaced by libfreetype6-dev (which is already there),
       thanks to Moritz Muehlenhoff for the notice (Closes: #473487).
  * debian/libgv-tcl.install:
     - Delete the entry about pkgIndex.tcl since it's now shipped under
       the tcl directory.
  * debian/libgv-python/install:
     - Add “usr/lib/graphviz/python{24,25}”, later rearranged through
       debian/rules.
  * debian/pyversions:
     - Add it, containing “2.4,2.5”.
  * debian/rules:
     - Pass an extra flag to configure: “--without-rsvg” to avoid an extra
       plugin to be built, which would pull many other dependencies. A new
       binary package might be introduced later, with both gtk and rsvg
       plugins.
     - Bump shlibs, new symbols.
     - Use “pyversions -s” rather than “pyversions -d”.
     - Use “--enable-python{24,25}” instead of just “--enable-python”.
     - Install both python modules under appropriate site-packages
       directories.
     - Duplicate gv.py in both directories, then taken care of by
       python-support.
     - Get rid of tclpkg/gv/gv.R and tclpkg/gv/php_gv.h through dh_clean
       to keep the diff clean.
  * Drop workaround for FTBFS with gcc-4.3, fixed upstream:
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Backport fix from CVS, preventing all include directories from being
    lumped together, does causing python2.5 to be misbuilt (using
    python2.4 includes).
     - Add 1_disable_lumping_all_include_directories: Actual fix.
     - Add 0_autoreconf_run: Needed since a Makefile.am is touched.
     - Disable 0_libtool_linking_reorder_workaround: no longer applies
       because of the autoreconf run.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sat, 12 Apr 2008 02:11:00 +0200

graphviz (2.16.1-3) unstable; urgency=low

  * Add workaround for FTBFS with gcc-4.3 (Closes: #466810):
     - 2_workaround_ftbfs_with_gcc-4.3.
  * Update doc-base section: from “Apps/Graphics” to “Graphics”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 26 Mar 2008 00:43:57 +0100

graphviz (2.16.1-2) unstable; urgency=low

  * Improved debian/copyright:
     - Distinguish between copyright and license.
     - Add copyright years and copyright holder (AT&T Corp.).
     - Use “Copyright” and “©” instead of “(C)”.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 26 Feb 2008 14:33:24 +0100

graphviz (2.16.1-1) experimental; urgency=low

  * New upstream release:
     - Fixes regressions in dotty (Closes: #461530).
  * Replaced “-V” with “-V 'libgraphviz4 (>= 2.16)'” in the dh_makeshlibs
    call since no shlibs bump is required for this new upstream release.
  * Dropped patch (merged upstream):
     - 2_ocaml_tweak.
     - 0_autoreconf_run (it was only needed because of 2_ocaml_tweak).
  * Refreshed patches:
     - 0_versioned_plugin_config_file.
     - 0_bindings_documentation.
  * Moved sections, resolving override disparities:
     - libgv-python: from interpreters to python.
     - graphviz-dev: from graphics to devel.
  * Now ship diffimg since it actually looks useful to at least someone,
    thanks to David Liontooth for having requested it (Closes: #460595).
    Done by reverting the diffimg deletion in “install” target.
  * Adapted Tcl bindings: moved to a subdirectory of /usr/lib/tcltk to
    comply with the Tcl/Tk policy.
  * Adapted the manpage accordingly: in the “load” call, adjusted the
    path to the shared object.
  * Dropped NEWS.Debian since its content wasn't really what one would
    expect when stumbling upon it, thanks to Steve Langasek for the
    original comment.
  * Refreshed README.Debian:
     - Dropped the note about gpr->gvpr and colorize->gvcolor renames.
       That was done long ago (graphviz 1.10).
     - Dropped notices about: bindings, -dev, and -doc packages.
     - Updated pointers to examples and contrib files (Closes: #459955).
     - Added a note about diffimg now being shipped (see above).
     - Kept notes about the suggested packages mostly as-is, they need an
       update.
     - Refreshed entry about graphviz.7 (included upstream).
     - Included former NEWS.Debian's item about C# and Java bindings.
  * Improved handling of libgraphvizN-config-update:
     - Build it from perlpod: debian/libgraphviz-config-update.pod.in
       (and delete generated files in the “clean” target).
     - Use a placeholder to refresh the SONAME automatically.
     - Dropped debian/libgraphviz4-config-update.1 accordingly.
  * No longer ship any .la file. Remaining ones were shipped through
    libgraphviz-dev and libgv-tcl. Reverse dependencies can still be built
    from sources without any troubles, so this deletion sounds safe.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 21 Feb 2008 23:25:37 +0100

graphviz (2.16-3) unstable; urgency=low

  * Renamed libgraphviz4-dev to libgraphviz-dev since a single version is
    supported at once:
     - debian/control:
        - Replaced libgraphviz4-dev with libgraphviz-dev.
        - Added “Conflicts/Replaces: libgraphviz4-dev (<< 2.16-3)” to the
          libgraphviz-dev package so that upgrades are possible for people
          having installed the libgraphviz4-dev package from experimental.
        - Added “Replaces: libgraphviz3-dev” at the same time.
     - debian/rules: Removed $(SONAME) from libgraphviz$(SONAME)-dev.
     - debian/libgraphviz4-dev.install -> debian/ libgraphviz-dev.install.
  * Added “LDFLAGS="-Wl,--as-needed"” to the ./configure call so as to
    avoid extra linking. It works for all binaries (/usr/bin/*) at least.
  * Since the above isn't sufficient to get rid of extra linking in
    libraries (because of libtool's bug #347650), the following patch
    against config/ltmain.sh and libltdl/ltmain.sh has been added:
     - 0_libtool_linking_reorder_workaround.
  * Added “--without-ipsepcola” to ./configure to avoid FTBFS on arm. The
    problem is due to a wrong linking of C++ code (since g++ isn't used
    at the moment). Not that easy to fix (but being worked on), disabling
    this feature for now.
  * Nuke trailing whitespaces in various debian/* files.
  * Order ./configure arguments, grouping them by category (build options,
    general options, features, bindings).
  * Switch to a build-time update of config.{guess,sub} scripts:
     - Listed in $(CONFIG_SCRIPTS), to be updated on each new upstream
       release (added to debian/README.Debian-packaging).
     - Updated during the “configure” target, dh_clean'd during the
       “clean” one.
     - The Build-Depends on autotools-dev was there already.
  * Deleted patch (no longer needed, see above):
     - 0_autotools_config_files.
  * Don't ship empty directories, by deleting /usr/lib/graphviz for php
    and python bindings, rather than /usr/lib/graphviz/$LANGUAGE.
  * Fixed ruby bindings, now that a policy draft exists:
     - Ship the ruby module where it belongs (Closes: #454622).
     - Updated patch (the RUBYLIB trick is no longer needed):
        - 0_bindings_documentation.
     - Added an explicit dependency on ruby1.8.
  * Moved the build dependency from libgd2-xpm-dev to libgd2-noxpm-dev,
    since this latter is sufficient, and since appropriate dependencies
    are computed (libgd2-xpm | libgd2-noxpm). This allows for more
    flexibility from a user point of view (Closes: #459537). Many thanks
    to Ben Finney for the notice. The only change regarding the supported
    features is that “xbm” is no longer supported in “loadimage”
    according to the output of “dot -v”.
  * Removed unneeded “Conflicts: graphviz (<< 2.12)” from libgv-ruby,
    which got here when copying the libgv-tcl stanza.
  * Bumped Standards-Version to 3.7.3 (no change needed).
  * Added a copyright statement about the Debian packaging.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Wed, 09 Jan 2008 03:18:46 +0100

graphviz (2.16-2) experimental; urgency=low

  * Added patches:
     - 2_ocaml_tweaks:
        - Make the generation of native objects conditional since ocamlopt
          isn't available on every arch. Upstream didn't include the
          conditional statements when merging the submitted patch. This patch
          adds an AM_CHECK_PROG on ocamlopt and conditionally adds the native
          objects to OCAML_data when needed (Closes: Bug#451763).
        - Also delete duplicates in the OCAML_data, while adding the missing
          gv.cmo file.
     - 0_autoreconf_run: Needed again since configure.ac and a Makefile.am are
       touched. Only keep in there the changes to aclocal.m4, configure, and
       all Makefile.in's.
  * Dropped OCaml-related files (merged upstream) and adapted related
    instructions in debian/rules:
     - debian/ocaml/Makefile.ocaml
     - debian/ocaml/META.gv

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 19 Nov 2007 02:47:51 +0100

graphviz (2.16-1) experimental; urgency=low

  * New upstream release (Closes: #438420).
  * Fixed regression in this new upstream release:
     - Corrupted output creation for certain inputs (Closes: #432890).
  * Fixed bug:
     - Invalid EPS code creation (Closes: #397060). It was probably a bug in
       2.8, thus might be fixed in 2.12 already. This version closes it for
       sure at least. Further explanations from upstream are available on the
       bugreport.
  * Refreshed patches:
     - 0_autotools_config_files: Updated to autotools-dev/20070725.1. Added a
       TODO item about moving this patch to a build-time update.
     - 0_versioned_plugin_config_file: Drop the first hunk, which modified
       cmd/dot/Makefile.am to not run “dot -c”. Upstream now has a better
       way to detect the installation for packaging purposes (using DESTDIR).
     - 0_bindings_documentation: Updated lua manpage from lua5.0 old style to
       lua5.1, thanks to Enrico Tassi (Closes: #448365).
  * Dropped patches:
     - 3_manpages_fix: Merged upstream.
     - 3_manpages_hyphen_fix: Merged upstream.
     - 1_diffimg_Makefile.am_fix: Merged upstream.
     - 1_lefty_fix: Merged upstream.
     - 3_gnomeui_configure.ac_fix: Merged upstream.
     - 3_ruby-bindings_configure.ac_fix: Merged upstream.
     - 3_php5-bindings_configure.ac_fix: Merged upstream.
     - 3_bindings_Makefile.am_fix: Merged upstream.
     - 3_lua-bindings_configure.ac_fix: Merged upstream.
     - 0_autoreconf_run: No longer needed, given the dropped patches.
  * Added patch:
     - 0_tcl_manpages_section: Upstream ships tcl-related manpages in “mann”
       instead of “man3” and wants to keep it that way. This patch modifies
       the headers so that they contain “3” instead of “n”.
  * debian/rules:
     - Use a SONAME variable to ease SONAME transitions.
     - Remove the extra “rm” calls now that upstream's “make distclean” is
       sufficient.
     - Modify the manpage handling since upstream now installs *.n manpages
       under usr/share/man/mann. Also adapted some *.install files to install
       some additional manpages.
     - Drop the parameter of the “-V” option in the “dh_makeshlibs” call,
       since a dependency based on the upstream version number is sufficient
       by now.
     - Do not install the “diffimg” binary, see NEWS.Debian.
  * debian/NEWS:
     - Add a note about “diffimg”.
     - Add a status update about the bindings, especially about the python
       one.
  * debian/libgraphvizN.install:
     - Made SONAME-independant: only specifies the overrides directory, no
       longer the filename.
  * debian/README.Debian-packaging:
     - Updated to match the autoreconf patch dropping, and document the needed
       automake version in case this patch has to be added again.
  * debian/graphviz.7:
     - Dropped, merged upstream.
  * SONAME 3 -> 4 transition (all files are in debian/):
     - rules:
        - Adjusted SONAME variable.
        - Adjusted versioned dependency for the shlibs.
     - libgraphviz3-config-update.1:
     - libgraphviz3.install:
     - libgraphviz3.lintian-overrides:
     - libgraphviz3.postinst:
     - libgraphviz3.postrm:
        - Renamed with s/3/4/.
     - libgraphviz4.lintian-overrides:
        - Updated SONAME in each override.
     - libgraphviz4.post{inst,rm}:
        - Updated with s/3/4/.
     - patches/0_versioned_plugin_config_file:
        - Updated with s/config3/config4/.
     - control:
        - Adjusted libgv-ocaml long description, which mentions the
          libgraphvizN-dev package.
  * debian/libgraphviz4.lintian-overrides:
     - In addition to the SONAME bump, deletion of “libexpr” since it is now
       used a convenience library, and addition of “libcgraph”.
  * debian/watch:
     - Upstream now uses x.y.z and not only x.y, updated regex to catch
       [0-9.]+\.tar\.gz (the development snapshots are in another directory).
  * debian/control:
     - Version the B-D on libgd2-xpm-dev (>= 2.0.35) to ensure the internal
       code copy isn't used.
  * NOT added support for the gdk-pixbuf renderer:
     - It supports .bmp .ico .jpg .png .tif.
     - debian/control would need an additional B-D on libgtk2.0-dev.
     - debian/rules would need an additional “--with-gdk-pixbuf”.
     - But that pulls gtk, which is far too much for what graphviz has to do.
     - Therefore, added a “--without-gdk-pixbuf” to ensure it isn't built,
       even if gdk-pixbuf development files are available.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 13 Nov 2007 00:50:12 +0100

graphviz (2.12-5) unstable; urgency=low

  * Modified bindings handling:
     - tclpkg/gv/Makefile.am is now patched to set “-module -avoid-version” in
       LDFLAGS. There are dynamically loadable modules rather than shared
       libraries.
     - Added patch for this:
        - 3_bindings_module_avoid-version_options.
     - Refreshed patch so as to refresh the appropriate Makefile.in (with only
       an automake run):
        - 0_autoreconf_run.
     - There's still Tcl parts that are versioned.
  * Fixed libgv-guile description, thanks to Kanru Chen (Closes: #439385).
  * Fixed libgv-lua (Closes: #439525):
     - After a discussion with Enrico Tassi, it has been decided to only build
       against lua5.1, and not against both lua5.0 and lua5.1 as planned at
       the beginning. Description updated to mention lua5.1 explicitely.
     - debian/libgv-lua.install: Only mention the .so now (the .la's are
       probably unneeded for bindings, they'll probably be amm dropped once
       the tcl case has been sorted out).
     - debian/rules: Some additional work is done to make it loadable
       directly, and to document the used liblua version.
        - Rename libgv_lua.so into liblua$(LUA_VERSION)-libgv.so.
        - Add a symlink from /usr/lib/lua5.1/gv.so to the .so in /usr/lib.
     - It looks like it is now usable directly with a single “require "gv"”.
     - The documentation has still to be updated, though.
  * Fixed libgv-ocaml:
     - Rebuild against ocaml 3.10 (Closes: #441494).
     - debian/control: Added a Suggests: on ocaml-base-nox to the -dev package
       since it is needed for the OCaml development files, but not a stronger
       relation since one will usually want to use the C headers.
     - debian/control: Also added a Suggests: on ocaml-findlib to the -dev
       package since it is suggested to use findlib to use the package (and
       per pkg-ocaml-maint policy).
     - debian/control: Modified long descriptions to detail the decision about
       the OCaml binary packages.
     - debian/rules: Moved the library to the stublibs directory of the
       current ocaml version. Moved the devel files to the -dev package.
       Drop the .la file and the now-empty /usr/lib/graphviz/ocaml directory.
     - debian/ocaml/Makefile.ocaml: Add some instructions to build the missing
       library files so that it is possible to actually load the gv library in
       the interpreter. This file is copied into the source tree after the
       usual build, and then use to build them. Its “clean” target is called
       from debian/rules, and it gets removed before the usual “clean”.
     - debian/ocaml/META.gv: Add META file used to handle OCaml dependencies.
  * Improved libgv-python (Closes: #440829):
     - debian/control: Added python-support to Build-Depends, python:Depends
       to libgv-python's Depends.
     - debian/rules: Added a call to dh_pysupport. Move to a site-packages
       directory depending on the current default python version.
     - Dropped the use of “-lpython”:
        - Added patch: 3_python-bindings_configure.ac_fix.
        - Refreshed patch: 0_autoreconf_run.
     - Dropped .la file.
     - Other points of the bugreports are already mentioned above.
  * Other bindings (libgv-guile, libgv-perl, libgv-ruby):
     - Dropped .la by specifying only the .so in their respective .install
       file, instead of “*”.
  * Adapted documentation:
     - Lua: updated instructions (package.loadlib, new path).
     - Python: one can now “import gv” directly.
     - Refreshed patch: 0_bindings_documentation.
  * debian/control: (thanks to dpkg 1.14.7)
     - Rename XS-Vcs-* to Vcs-*.
     - Move the Homepage from the description to the new header.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 23 Oct 2007 03:21:13 +0200

graphviz (2.12-4) unstable; urgency=low

  * Added bindings:
     - guile      (Closes: #360969);
     - lua        (Closes: #360971);
     - ocaml      (Closes: #360975);
     - php5       (Closes: #360973);
     - python     (Closes: #360974);
     - ruby       (Closes: #360978).
  * Added Build-Depends accordingly:
     - guile-1.6-dev;
     - liblua5.1-0-dev;
     - ocaml-nox;
     - php5-dev, php5-cli;
     - python2.4-dev, python-minimal;
     - ruby1.8-dev, ruby.
  * Some patches are needed to enable some bindings:
     - added 3_bindings_Makefile.am_fix, since some variables were missing;
     - added 3_ruby-bindings_configure.ac_fix to force ``-lruby1.8'' instead
       of ``-lruby'', which isn't working;
     - added 3_lua-bindings_configure.ac_fix to detect lua correctly.
     - added 3_php5-bindings_configure.ac_fix to fix include paths (basically,
       it does s/php/php5/g on this line). Maybe php5-cli might be unneeded,
       if the detection of the php binary is turned off (it looks like
       unneeded).
  * Added a variable (control, rules) for ocaml, so that the Depends: is set
    on the correct ocaml-base-nox-${F:OCamlABI} package.
  * Binding manpages are shipped as gv_*.3, after some modifications to the
    upstream templates, stored in the 0_bindings_documentation patch.
  * Enabled diffimg:
     - modified 0_disable_diffimg to only modify contrib/Makefile.am, since
       now an autoconf/automake round is needed, due to the modifications to
       configure.ac et al. This way it can be pop'd.
     - renamed into 1_diffimg_Makefile.am_fix, since diffimg is now built,
       thanks to a slight modification to the Makefile.am: there was an
       erroneous condition on WITH_LIBGD, instead of WITH_MYLIBGD (this is
       fixed in CVS).
  * Added README.Debian-packaging to document some packaging howtos (at the
    moment, what should be done to get the last patch: autoreconf run).
  * Refreshed 0_autotools_config_files to patch config.{guess,sub} in the
    following directories, with files from autotools-dev_20070306.1:
     - config
     - lib/gd/config
     - libltdl
  * Added 1_lefty_fix, which is a backport of a regression (2.8 -> 2.12) fix
    for lefty, thanks to Sune Vuorela for reporting, and to Emden R. Gansner
    for the patch.
  * Adjusted clean target in debian/rules to clean appropriately.
  * Added the -V 'libgraphviz3 (>= 2.12-3)' parameter to the dh_makeshlibs
    call so that the appropriate library version is depended on, avoiding the
    hardcoded values in the control file, and the duplicates in the Depends:
    fields after substitution. Now ${shlibs:Depends} is used instead, almost
    everywhere. libgraphviz3-dev still has hardcoded dependencies, see
    TODO.Debian. Also turned ``-a'' into ``-plibgraphviz3'' since it is the
    only package needing an shlibs file and ldconfig calls in post{inst,rm}
    scripts.
  * Added installation of /usr/bin/dot under /usr/sbin in the libgraphviz3
    package, so that it can be called when needed, during libgraphviz3 or
    libgraphviz3-*-plugin installation or removal. Added a call to ``mv'' in
    debian/rules to rename it to libgraphviz3-config-update since dh_install
    doesn't allow renaming.
  * Changed 0_test_fix into 0_versioned_plugin_config_file:
     - Former patch needed so that no ``dot -c'' is run at build time.
     - Adjusted configuration file accordingly, by patching
       lib/gvc/gvconfig.c, using "config3" instead of "config".
  * Added ``--list-missing'' option to dh_install, so that files not installed
    are spotted easily.
  * Maintainer scripts, plugin configuration file:
     - Dropped debian/postinst and debian/postrm, the configuration
       (``dot -c'') of the plugins is now handled as documented in
       through libgraphviz3(|*-plugin).{postinst,postrm}, as documented in
       README.Debian-packaging.
     - Added a check and a removal-when-needed for the ancient "config" file.
     - Added a manpage accordingly.
  * Fixed some hyphens in Debian-specific manpages.
  * Fixed broken links in index.html by not compressing PDF files (``-X.pdf''
    added to the ``dh_compress -i'' call), since they are in a separate
    package, there's not much space loss, and it makes users' life easier
    (Closes: #378522).
  * Adapted lintian overrides since the output changed (SONAMES are now
    sorted, see #428681, fixed in lintian 1.23.32).
  * Fixed pango plugin misconfiguration, due to some autotools blackmagic. Now
    that ./configure and the like are regenerated, everything seems to be
    fine (Closes: #424883, #422859). Please also note that the upstream
    graphviz-cairo package is now superseded by the graphviz package.
  * Added missing -dev packages to the Depends: of the libgraphviz3-dev
    package, in particular libexpat1-dev (libfreetype6-dev seems to be no
    longer needed), using d-devlibdeps from the d-shlibs package. Build
    dependency added accordingly (Closes: #404384).
  * Set the Maintainer field to myself.
  * Do not ignore ``make distclean'' errors.
  * Added XS-Vcs-Git and XS-Vcs-Browser fields in debian/control.
  * Moved ``Apps/Graphics'' to ``Applications/Graphics'' for the menu
    transition.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 09 Aug 2007 16:25:51 +0200

graphviz (2.12-3) unstable; urgency=low

  * Re-enable lefty, which was a leftover during the 2.8 -> 2.12 upgrade:
     - turned back configure's --without-x to --with-x;
     - adjusted graphviz.install to install *.lefty under
       /usr/share/graphviz/lefty
    (Closes: #423541).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Sun, 13 May 2007 21:20:24 +0200

graphviz (2.12-2) unstable; urgency=low

  * Fixed gnomeui + pango/cairo pulling: (Closes: #422862, #422873)
     - added 3_gnomeui_configure_fix patch: adds support in configure.ac
       for --with(out)-gnomeui, so that it can be used to disable the link
       against gnomeui libraries even if they are found;
     - added configure_autoconf_rerun: contains the modifications to configure
       after autoconf has been rerun;
     - added --without-gnomeui and --without-pangocairo in debian/rules
       accordingly;
     - added --without-gtk as well, and turned --with-x into --without-x
       since the associated shared objects weren't built anyway.
  * The associated features might be added in separate package(s) later.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Tue, 08 May 2007 17:16:29 +0200

graphviz (2.12-1) unstable; urgency=low

  * New upstream release.
    Hopefully it addresses the longstanding rpath issue, since all public
    libraries now belongs to /usr/lib (Closes: #312532, #343476, #360968).
    The problem of language bindings will be addressed in further uploads.
  * Maintainer upload.
     - Added myself in the Uploaders field.
  * ACK previous NMUs: many thanks for having taken care of graphviz when
    needed.
     - Margarita Manterola <marga@debian.org> (no NMU diff in the BTS);
     - Steinar H. Gunderson <sesse@debian.org> (Closes: #375024, #389396);
     - and my own NMUs (Closes: #399212, #400161).

  [debian/patches]
  * Disabled no longer needed backported patches:
     - 10000_lua_python_bindings;
     - 10918_nop_fix.
  * Disabled the build of the contrib `diffimg' tool since it looks like
    there's a missing .la file:
     - 0_disable_diffimg.
  * Added a patch to handle minus vs hyphen signs in the manpages: 
     - 3_manpages_hyphen_fix. 

  [debian/control]
  * Made the package binNMU safe by switching from `${Source-Version}' to
    `{binary:Version}'.
  * Resplitted packaging into graphviz, libgraphvizN, libgraphvizN-dev,
    graphviz-doc, where N matches the SONAME, currently 3.
  * Additional packages also count the following bindings: libgv-perl and
    libgv-tcl, which were included in the monolithic graphviz package before.
    The transition should be quite smooth this way. The bindings package will
    be named libgv-* so as to avoid name clashing with e.g. libgraphviz-perl,
    which is a pure perl package. It also reflects the name of the bindings
    (shared objects). The dependencies have still to be polished, that is
    listed in TODO(.Debian).
     - Perl's "gv"  has been moved under /usr/lib/perl5, according to the
       Debian Perl Policy, and this module is loadable without the additional
       `use lib' line, which can be kept though because:
         1) it is harmless;
         2) it should ensure compatibility with default upstream installation
            paths.
     - Tcl files are kept under /usr/lib/graphviz/tcl, as in the previous
       packages. When loading it through the "load" instruction specified in
       the manpage, everything's alright. But if it is loaded using the
       following, an error is displayed, although apparently harmless:
         % package require Tcldot
         Error: invalid api in config: libgvplugin_usershape_gd.so.2 usershape
         2.12
       It can happen when an older graphviz package hasn't been purged, so
       that an older config file is still present under /usr/lib/graphviz.
  * Not added a conflict between libgraphviz3 and former versions of graphviz,
    since there is no file overlapping, with both SONAME bump and package
    resplit (in particular thanks to the binding packages).
  * Added a conflict between new graphviz-doc and older graphviz, since
    documentation and examples are now in graphviz-doc.
  * Added a transitional graphviz-dev package to ensure a smooth upgrade from
    graphviz-dev to libgraphviz3-dev.
  * Adjusted all the descriptions, and the sections the packages belong to.

  [debian/rules]
  * Revamped the install target of the debian Makefile to use dh_install and
    *.install files instead of dh_movefiles and *.{dirs,files}. These
    *.install files have been adjusted to be as clean as possible. Some files
    (documentation, examples) present in the previous packages might now be
    missing, but it is already known, see the updated TODO(.Debian) file.
  * Turned the dh_shlibdeps call into a normal call w/o rpath since upstream
    now ships under /usr/lib and no longer under /usr/lib/graphviz.
  * Deleted the `-n' option of `dh_makeshlibs' so that the needed `ldconfig'
    calls are added in the maintainer scripts.
  * Added an override for libgraphviz3 since we are aware of the multiple
    share objects, and since lintian signals that all have `3' as SONAME,
    which is considered an error...
  * Renamed menu to graphviz.menu to ensure it gets installed properly.
  * Changed the ``make install'' to using ``DESTDIR='' instead of ``prefix='',
    thanks to Alexander Sack.
  * Added dh_perl calls, to be able to use ${perl:Depends} in the control
    file, even though no dependency is added for now.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Thu, 16 Apr 2007 16:45:34 +0200

graphviz (2.8-2.6) unstable; urgency=low

  * Non-maintainer upload.
  * Moved groff-base and gs-common from Build-Depends-Indep to Build-Depends.
    Fixes FTBFS when building binary-arch only.

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri,  8 Dec 2006 11:47:06 +0000

graphviz (2.8-2.5) unstable; urgency=low

  * Non-maintainer upload.
  * Switched to the quilt system to keep the patches readable and handy. As a
    convention, the following prefixes are used:
     0 - Debian-specific fix
     1 - Backported fix (followed by a 4-digit upstream bug number)
     2 - Submitted fix (followed by a 4-digit upstream bug number)
     3 - Not-yet submitted fix
    Patches already present:
     - 0_autotools_config_files:
         Adds config.{guess,sub} from /usr/share/misc (from the autotools-dev
         package). debian/rules adjusted accordingly so that it doesn't
         refresh them. The autotools-dev B-D could probably be dropped.
     - 0_test_fix:
         Fixes an error during the build due to the fact that the installation
         is not done directly into the system but on a subdirectory.
     - 10000_lua_python_bindings:
         Backport from upstream modification into configure.ac, patch
         generated after having run `autoconf'.
     - 10918_nop_fix:
         Backport introduced in 2.8-2.4.
     - 3_manpages_fix:
         See the next two items.
  * Added a patch to fix some warnings in the manpages (Closes: #381063).
  * Added a graphviz.7 manpage and a reference to it in README.Debian.
    Thanks to Joachim Berdal Haga <jbh@lupus.ig3.net> for the documentation
    effort this manpage is based on (Closes: #389105).
  * Updated debian/rules to use dh_installman to handle manpages.
  * Modified debian/graphviz.dirs so that the build is less vulnerable to
    behaviour modifications of core utils (Closes: #376049).
    Thanks to Florent Bayle <florent@sarcelle.net> for the patch.
  * Updated URL in debian/control (Closes: #377691).
  * Improved descriptions in debian/control.
  * Removed the erroneous trailing backslash in debian/graphviz-doc.doc-base.
  * Bumped Standards-Version from 3.6.2 to 3.7.2 (no change needed).
  * Bumped debhelper compatibility from 4 to 5 (no change needed).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 20 Nov 2006 04:46:07 +0000

graphviz (2.8-2.4) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed totally broken `nop' utility by applying a patch backported from the
    2.9 version, fixing the linking against a wrong library. Since the current
    packaging doesn't provide any means of keeping patches separate, the files
    cmd/tools/Makefile.{am,in} are patched directly, using the patch submitted
    in the BTS (closes: #359870).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Fri, 17 Nov 2006 21:05:35 +0100

graphviz (2.8-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Tell configure not to build language packages we don't distribute; fixes
    FTBFS when libruby1.8-dev is installed. (Closes: #388056)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 25 Sep 2006 15:16:12 +0200

graphviz (2.8-2.2) unstable; urgency=medium

  * NMU to fix a Failure To Build From Source due to a missing dependency on
    liblua50-dev. (Closes: #377694).
  * Fixed debian/rules so that the .diff.gz is cleaner. (Closes: #373256) 

 -- Margarita Manterola <marga@debian.org>  Tue, 18 Jul 2006 15:27:49 -0300

graphviz (2.8-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * When moving the demo tree into /usr/share/doc/graphviz/examples, don't
    try to move demo/pathplan_data/* after demo/*, since the latter includes
    the former anyhow; fixes FTBFS. (Closes: #373254)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 22 Jun 2006 21:27:26 +0200

graphviz (2.8-2) unstable; urgency=low

  * Awaken Tcl parts missed in 2.8-1 package 
  * Apply patch from upstream enabling python I/F to build on 64bit machines
  * Apply patch from upstream adding warn when python won't be built
  * Ensure all index.html links work again (Closes: Bug#298463)
  * Move -doc package to arch-all from any (Closes: Bug#360967)
  * Ensure libs exist for symlinks (Closes: Bug#361444)
  * Ensure graphviz plugins exist (Closes: Bug#359998)
  * v2.8 fixes segfault (Closes: Bug#292635)

 -- Stephen M Moraco <stephen@debian.org>  Sat,  8 Apr 2006 17:04:15 -0600

graphviz (2.8-1) unstable; urgency=low

  * Accept NM contributions from Dirk, Thanks! (Closes: Bug#320813)
  * The NMUs fix: (Closes: Bug#359808, #360049, #359903, #359622)
    and (Closes: Bug#359312, #360207)
  * This upstream release closes many bugs.  (Closes: Bug#332205)
    and (Closes: Bug#332204, #332203, #332202, #332201, #335175, #344256)
    and (Closes: Bug#312596, #321128, #305375, #298133)
  * Add gsfonts to suggested packages list. This is normally already installed
    with X but when using graphviz w/o X then we need this package for the
    default fonts (Closes: Bug#353050)
  * Moved files to proper pkgconfig directory (Closes: Bug#313508)

 -- Stephen M Moraco <stephen@debian.org>  Sat,  1 Apr 2006 16:12:12 -0700

graphviz (2.8-0.4) unstable; urgency=low

  * NMU, coordinating with the maintainer
  * debian/control: At last added libltdl3-dev to Build-Depends which 
    should have happened in revision 2.8-0.2 	(Closes: #359903, #360049)
  * debian/rules: Give dh_shlibdeps an explicit -l target
  * debian/rules: Add -n to dh_mkshlibs call to not modify post{inst,rm}
  * debian/control: Increase Standards-Version: to 3.6.2

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 30 Mar 2006 20:04:06 -0600

graphviz (2.8-0.3) unstable; urgency=low

  * NMU, coordinating with the maintainer
  
  * debian/postinst: Call 'dot -c' to pre-seed configuration. This is 
    typically done at build-time via the upstream Makefile, but cannot be
    used for a Debian build (yet, at least).  Running it in the postinst 
    is a close enough approximation.   (Closes: #359312, #359622, #359808)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 29 Mar 2006 17:53:20 -0600

graphviz (2.8-0.2) unstable; urgency=low

  * NMU 
  * debian/rules: Remove /usr/lib/libltdl.* and /usr/include/ltdl.h
  * debian/control: Add Depends: libltdl3-dev to graphiviz-dev
  
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Mar 2006 22:35:51 -0600

graphviz (2.8-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #320813)

  * cmd/doc/Makefile.{in,am}: Comment out 'doc -c' in install-exec-hook
    as shared libs cannot be resolved right after build

  * debian/rules: Set DH_COMPAT=4
  * debian/rules: As the upstream change a few things since the last Debian 
    new build of a new major release a year ago, chose to commented out a 
    large section of postprocessing and cleaning following make install 
  * debian/rules: Added removal of dot_static and extra COPYING (lintian)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 25 Mar 2006 17:05:35 -0600

graphviz (2.2.1-1sarge1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch to fix insecure temporary file creation
    [dotty/dotty.lefty, CAN-2005-2965]

 -- Martin Schulze <joey@infodrom.org>  Fri, 30 Sep 2005 14:00:46 +0200

graphviz (2.2.1-1) unstable; urgency=low

  * New Upstream Version
  * Fix Suggests missing comma (Closes: Bug#301216)
  * Comma-fix allows suggests to work (Closes: Bug#303248)
  * Added menu items for dotty,lefty (Closes: Bug#297238)

 -- Stephen M Moraco <stephen@debian.org>  Sun, 10 Apr 2005 23:58:56 -0600

graphviz (2.2-2) unstable; urgency=low

  * Fix -doc depend (Closes: Bug#292428)

 -- Stephen M Moraco <stephen@debian.org>  Mon,  7 Feb 2005 22:42:28 -0700

graphviz (2.2-1) unstable; urgency=low

  * New Upstream Version
  * Moving from non-free to main.  Yeay! 
     License is now cpl-1.0 (Closes: Bug#290112)
  * Fixed doc-base files, now simply using top-level index (Closes: Bug#285642)
  * Fixed neato: die with SIGFPE 8 on simple graph (Closes: Bug#270492)
  * Fixed neato: fixes for abnormal term. cases (Closes: Bug#212192)
  * Fixed dotty: fixes segfault on mouse wheel movement (Closes: Bug#178938)
  * Fixed dotty: mouse/numlock interaction (Closes: Bug#268132)
  * Fixed dot: SVG output corruption (Closes: Bug#278176)
  * Fixed dot: manpage/doc updated (Closes: Bug#249589)

 -- Stephen M Moraco <stephen@debian.org>  Wed, 19 Jan 2005 20:56:43 -0700

graphviz (1.16-1) unstable; urgency=low

  * New Upstream

 -- Stephen M Moraco <stephen@debian.org>  Mon,  1 Nov 2004 21:00:59 -0700

graphviz (1.14-1) unstable; urgency=low

  * New Upstream Version

 -- Stephen M Moraco <stephen@debian.org>  Mon, 30 Aug 2004 19:29:30 -0600

graphviz (1.12-3) unstable; urgency=low

  * Fix -dev section
  * Cleanup copyright file (Closes: Bug#268565)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 28 Aug 2004 17:41:35 -0600

graphviz (1.12-2) unstable; urgency=low

  * Adopt NMU... (Closes: Bug#241124, Bug#255982) Thanks Dirk!
  * Split stuff supporting build to -dev package (Closes: Bug#212682)
    -- this treats differently the work done in 1.12-1 
  * debian/control: Added Suggests for "msttcorefonts" for 
    Times font (Closes: Bug#239486).  If writing .png files then you
    may find that you want the Times font as suggested by this bug.
    NOTE: if there is a better package for the Times font, please let
    me know.
  * debian/control: Backoff Standards-Version to 3.6.1

 -- Stephen M Moraco <stephen@debian.org>  Tue, 17 Aug 2004 13:25:47 -0600

graphviz (1.12-1) unstable; urgency=low

  * Non-maintainer hijacking and new upstream upload
  * This package _really_ needs a new maintainer (see #255982)
  * New upstream version (Closes: #241124)
    -- this potentially closes a few of the open bugs on functionality
    -- could someone please volunteer and check this ?
  * debian/rules: do not remove include files so that other packages
    can actually build against graphviz  (Closes: #212682) -- though
    #212682 also calls for an explicit libgraphviz package.
  * debian/rules: do not muck around among the freshly built libraries

  * debian/control: Updated Build-Depends: "libjpeg62-dev, libpng12-dev, 
    libxaw7-dev" instead of unversioned "libjpeg-dev, libpng-dev, libxaw-dev"
  * debian/control: Added Build-Depends "libttf-dev" for Freetype
  * debian/control: Added Build-Depends "libexpat1-dev" for Expat
  * debian/changelog: Remove obsolete emacs mode variable
  * debian/control: Updated Standards-Version to 3.6.1.1

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 26 Jul 2004 20:59:06 -0500

graphviz (1.10.20030915.0415-2) unstable; urgency=low

  * Fix embedded path to lefty libs (Closes: Bug#211443)

 -- Stephen M Moraco <stephen@debian.org>  Wed, 17 Sep 2003 20:56:33 -0600

graphviz (1.10.20030915.0415-1) unstable; urgency=low

  * New Upstream Version (Closes: Bug#204457)
  * Fixes dot -Tfig when '>' used in names (Closes: Bug#167890)
  * Fixes font finding algorithm (Closes: Bug#193560)
  * Unable to recreate non-end of neato with this version (Closes: Bug#197059)
  * Unable to recreate TclDot rendergd failure this version (Closes: Bug#203208)
  * This is official 1.10 plus fixes specifically for Debian reported issues
     (generated by graphviz team): new manpage, tool renames, Makefile fixes
  * Update per debhelper best practice changes
  * Adjust Depends (Closes: Bug#195223, Bug#194433, Bug#200694)
  * Update Policy Version

 -- Stephen M Moraco <stephen@debian.org>  Mon, 15 Sep 2003 20:40:22 -0600

graphviz (1.8.9-1) unstable; urgency=low

  * Update to latest policy version
  * New Upstream Version (Closes: Bug#147424, Bug#157980, Bug#148457)

 -- Stephen M Moraco <stephen@debian.org>  Sat, 21 Sep 2002 15:21:06 -0600

graphviz (1.8.5-2) unstable; urgency=low

  * Fix doc-base links, add missing doc (Closes: Bug#149647)
  * Apply missing bracket fix (to ihi script in examples), Bug148457 is marked
     as fixed but stays open awaiting upstream fix

 -- Stephen M Moraco <stephen@debian.org>  Thu,  4 Jul 2002 12:02:22 -0600

graphviz (1.8.5-1) unstable; urgency=low

  * New upstram version (Closes: Bug#138425)

 -- Stephen M Moraco <stephen@debian.org>  Tue, 16 Apr 2002 23:09:06 -0600

graphviz (1.7.16-2) unstable; urgency=low

  * Rename gpr(1) to gvgpr and fix refs to it. (Closes: Bug#132543)
  * Head off next bug by renaming colorize to gvcolorize (before the
    overlap is discovered and reported ;-)

 -- Stephen M Moraco <stephen@debian.org>  Tue,  5 Feb 2002 18:52:12 -0700

graphviz (1.7.16-1) unstable; urgency=low

  * New upstream version (Closes: Bug#127118)
  * Add autoupdate of config.sub, config.guess
  * Questionable postscript output appears fixed (Closes: Bug#128648)
  * Update to latest policy version

 -- Stephen M Moraco <stephen@debian.org>  Sat,  2 Feb 2002 00:58:13 -0700

graphviz (1.7.5-7) unstable; urgency=low

  * Fixup build-depends (Closes: Bug#101331)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 25 Jun 2001 21:11:40 -0600

graphviz (1.7.5-6) unstable; urgency=low

  * Fix path in lefty / remove LEFTYPATH overrides from lneato/dotty

 -- Stephen M Moraco <stephen@debian.org>  Fri, 20 Apr 2001 08:48:49 -0600

graphviz (1.7.5-5) unstable; urgency=low

  * Now fix searchpath in lefty binary (2nd attempt on 94373)
    first attempt fixed all but lefty binary

 -- Stephen M Moraco <stephen@debian.org>  Fri, 20 Apr 2001 03:01:45 -0600

graphviz (1.7.5-4) unstable; urgency=low

  * Correct LEFTY library paths (Closes: Bug#94373)

 -- Stephen M Moraco <stephen@debian.org>  Wed, 18 Apr 2001 10:02:19 -0600

graphviz (1.7.5-3) unstable; urgency=low

  * Build against newer libs (Closes: Bug#91466)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 26 Mar 2001 15:00:24 -0700

graphviz (1.7.5-2) unstable; urgency=low

  * Fix man3 removal cmds (didn't work first time...)

 -- Stephen M Moraco <stephen@debian.org>  Sun, 25 Mar 2001 18:50:58 -0700

graphviz (1.7.5-1) unstable; urgency=low

  * Remove man3 pages as they are not for end-user and conflict with blt-dev
  * Convert to use freetype6 and remove xaw3dg build-dep (Closes: Bug#90378)
  * Add Conflicts: with gdtclft pkg (Closes: Bug#90544) 
    NOTE: this may not be final solution. 90378 proposes alternatives, 
    still negotiating
  * Directories verified, close fixed-by-NMU (Closes: Bug#76025)
  * Lefty.psp verified, close fixed-by-NMU (Closes: Bug#78511)
  * Is latest upstream, close fixed-by-NMU (Closes: Bug#89387)
  * Delivered HTML for otherwise missing section-n man-pages.
  * Registered all docs with dwww, dhelp via doc-base mech.

 -- Stephen M Moraco <stephen@debian.org>  Wed, 21 Mar 2001 20:48:01 -0700

graphviz (1.7.5-0.3) unstable; urgency=low

  * See README.Debian for issues and work remaining
  * tkspline lib now present (Closes: Bug#76030)
  * New version uses installed libs vs. had own (Closes: Bug#66941)
  * Adjust to new maintainer address
    (Thanks Torsten for handling things during my absence)

 -- Stephen M Moraco <stephen@debian.org>  Mon, 19 Mar 2001 08:37:46 -0700

graphviz (1.7.5-0.2) unstable; urgency=low

  * NMU
  * this and the last NMU closes: #78511, #76025
  * fixed some lintian warnings and errors
  * fixed Depends and Build-Depends (partially)

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Mar 2001 14:40:33 +0100

graphviz (1.7.5-0.1) unstable; urgency=low

  * NMU
  * new upstream, closes: #89387

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Mar 2001 02:22:08 +0100

graphviz (1.5-3) unstable; urgency=low

  * restore to non-free location

 -- Stephen M. Moraco <stephen@col.hp.com>  Wed, 19 Jul 2000 15:29:42 -0600

graphviz (1.5-2) unstable; urgency=low

  * removed manpages that overlap with real package (this is only partial
    solution called for in #66941.  I'll finish the conversion in next
    upload.)
  * tcldot.1 manpage should really be a tcldot.n - need to figure out what's
    correct for Debian and correct, if need be, in next upload
  * added Build-Depends to source package
  * adjusted text in tcldot.1 to show accuate syntax for shell script
    -- (missing required back-slash)
  * adjusted build of dotty/lneato to build-in default lefty path
  * removed man3 pages (may appear later in -dev)
  * converted makes to build w/ -fPIC for .so use
  * add rest of system to package (Closes: #63520, #63685)
    -- new /usr/lib/lefty & Tcldot... subtrees
    -- corrected mod-bits in examples tree  (per lintian)
  * fixed URL in copyright file (Closes: #66020)

 -- Stephen M. Moraco <stephen@col.hp.com>  Wed, 19 Jul 2000 15:29:07 -0600

graphviz (1.5-1) unstable; urgency=low

  * Initial Release.  

 -- Stephen M. Moraco <stephen@col.hp.com>  Fri, 31 Dec 1999 15:37:17 -0700
